package MT::Plugin::SKR::TemplateType;

use strict;
use MT 4;

use vars qw( $NAME $VERSION );
($NAME) = __PACKAGE__ =~ /.+::(\w+)/;
$VERSION = '0.01 DEVEL';

use base qw( MT::Plugin );
my $plugin = __PACKAGE__->new ({
    id => $NAME,
    key => $NAME,
    name => $NAME,
    version => $VERSION,
    author_name => 'SKYARC System Co.,Ltd.',
    author_link => 'http://www.skyarc.co.jp/',
    description => <<HTMLHEREDOC,
<__trans phrase="Make easy to recognize the template whether global one is.">
HTMLHEREDOC
    # Registry
    registry => {
        callbacks => {
            'MT::App::CMS::template_source.edit_template' => \&_hdlr_template_source_edit_template,
            'MT::App::CMS::template_param.edit_template' => \&_hdlr_template_param_edit_template,
        },
    },
});
MT->add_plugin ($plugin);



### template_source.edit_template
sub _hdlr_template_source_edit_template {
    my ($cb, $app, $tmpl) = @_;

    my $old = quotemeta (q(<mt:var name="include_module"></a>));
    my $new = q(<mt:if name="is_global">&nbsp;<img src="<mt:getvar name="static_uri">images/arrow-right-green.gif" alt="<__trans phrase="Global Templates">" title="<__trans phrase="Global Templates">" /></mt:if>);
    $$tmpl =~ s!($old)!$1$new!g;
}

### template_param.edit_template
sub _hdlr_template_param_edit_template {
    my ($cb, $app, $param, $tmpl) = @_;

    my @include_loop;
    foreach (@{$param->{include_loop}}) {
        $_->{is_global} = 1 if $_->{include_link} =~ /blog_id=0/;
        push @include_loop, $_;
    }
    $param->{include_loop} = \@include_loop if @include_loop;
    
    my @widget_loop;
    foreach (@{$param->{widget_loop}}) {
        $_->{is_global} = 1 if $_->{include_link} =~ /blog_id=0/;
        push @widget_loop, $_;
    }
    $param->{widget_loop} = \@widget_loop if @widget_loop;

    my @widget_set_loop;
    foreach (@{$param->{widget_set_loop}}) {
        $_->{is_global} = 1 if $_->{include_link} =~ /blog_id=0/;
        push @widget_set_loop, $_;
    }
    $param->{widget_set_loop} = \@widget_set_loop if @widget_set_loop;
}

1;